Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class NetBootHelper

    java.lang.Object
      org.jboss.deployment.NetBootHelper

public class NetBootHelper
extends Object

Static helper methods for NetBoot features

Version:
  $Revision: 1.6.6.1 $

  Revisions:

  7 novembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `NetBootFile`, `SARDeployer`, `HttpURLDeploymentScanner`

Field Summary
`static String` | `DEFAULT_NETBOOT_LISTING_URL`
`protected static org.jboss.logging.Logger` | `log`
`protected static boolean` | `traceEnabled`

Constructor Summary
`NetBootHelper()`

Method Summary
`static String` | `buildDownloadUrlForFile(String baseUrl, String directory, String filename)`
`static String` | `buildListUrlForFolder(String baseUrl, String directory)`
`protected static Iterator` | `getChildrenByTagName(Element element, String tagName)`
`static String` | `getDefaultDownloadUrl()`
`static String` | `getDefaultListUrl()`
`protected static Element` | `getUniqueChild(Element element, String tagName)` from org.jboss.metadata.MetaData which is not in the System module (which is understandable)
`static NetBootFile[]` | `listAllFromDirectory(String lister)`
`protected static NetBootFile[]` | `listAllFromDirectory(String lister, boolean doDir, boolean doFiles)` The is expected document we should receive in result: In this case we are only interested in file, not directories
`static NetBootFile[]` | `listDirectoriesFromDirectory(String lister)`
`static NetBootFile[]` | `listFilesFromDirectory(String lister)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NETBOOT_LISTING_URL

    public static final String DEFAULT_NETBOOT_LISTING_URL

See Also:
  Constant Field Values

### log

    protected static org.jboss.logging.Logger log

### traceEnabled

    protected static boolean traceEnabled

Constructor Detail

### NetBootHelper

    public NetBootHelper()

Method Detail

### buildDownloadUrlForFile

    public static String buildDownloadUrlForFile(String baseUrl,
                                                 String directory,
                                                 String filename)

### getDefaultDownloadUrl

    public static String getDefaultDownloadUrl()

### getDefaultListUrl

    public static String getDefaultListUrl()
                                    throws IllegalStateException

  Throws:
    `IllegalStateException`

### buildListUrlForFolder

    public static String buildListUrlForFolder(String baseUrl,
                                               String directory)
                                        throws IllegalStateException,
                                               UnsupportedEncodingException

  Throws:
    `IllegalStateException`
    `UnsupportedEncodingException`

### listAllFromDirectory

    public static NetBootFile[] listAllFromDirectory(String lister)
                                              throws Exception

  Throws:
    `Exception`

### listFilesFromDirectory

    public static NetBootFile[] listFilesFromDirectory(String lister)
                                                throws Exception

  Throws:
    `Exception`

### listDirectoriesFromDirectory

    public static NetBootFile[] listDirectoriesFromDirectory(String lister)
                                                      throws Exception

  Throws:
    `Exception`

### listAllFromDirectory

    protected static NetBootFile[] listAllFromDirectory(String lister,
                                                        boolean doDir,
                                                        boolean doFiles)
                                                 throws Exception

  The is expected document we should receive in result: In this case we are only interested in file, not directories

  Throws:
    `Exception`

### getUniqueChild

    protected static Element getUniqueChild(Element element,
                                            String tagName)
                                     throws DeploymentException

  from org.jboss.metadata.MetaData which is not in the System module (which is understandable)

  Throws:
    `DeploymentException`

### getChildrenByTagName

    protected static Iterator getChildrenByTagName(Element element,
                                                   String tagName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.